Skip to main content
POST
/
api
/
v1
/
spaces
Create Space
curl --request POST \
  --url https://api.example.com/api/v1/spaces \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "meta": {}
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "meta": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT access token or API key (csk_…)

Body

application/json
name
string
required
Required string length: 1 - 255
description
string | null
meta
Meta · object

Response

Successful Response

id
string<uuid>
required
org_id
string<uuid>
required
name
string
required
description
string | null
required
meta
Meta · object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required